#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Mail Transport Service
Name:           kmailtransport
Version: 20.12.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5Wallet)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5Mime)
BuildRequires:  cmake(KF5Akonadi)
BuildRequires:  cmake(KF5AkonadiMime) >= 5.3.0
BuildRequires:  cmake(KPimSMTP)
BuildRequires:  cmake(KPimGAPI)

BuildRequires:  boost-devel

BuildRequires:  pkgconfig(libsasl2)

Recommends:     %{name}-handbook

Conflicts:      kdepimlibs4-core < 2:4.14.10-9
Requires:       akonadi-contacts

Obsoletes:      kio5-smtp < 17.04.3-1
Provides:       kio5-smtp = %version-%release


%description
Mail Transport Service.

%files -f %name.lang
%_kf5_categoriesdir/kmailtransport.categories
%_kf5_categoriesdir/kmailtransport.renamecategories
%_qt5_plugindir/kcm_mailtransport.so
%dir %_qt5_plugindir/mailtransport/
%_qt5_plugindir/mailtransport/mailtransport_akonadiplugin.so
%_qt5_plugindir/mailtransport/mailtransport_smtpplugin.so
%_kf5_datadir/config.kcfg/mailtransport.kcfg
%_kf5_services/kcm_mailtransport.desktop

#------------------------------------------------------------------------------

%define kmailtransport_major 5
%define libkmailtransport %mklibname kf5mailtransport %{kmailtransport_major}

%package -n %libkmailtransport
Summary:        Mail Transport Service
Group:          System/Libraries
Requires:       %{name} >= %version-%release

%description -n %libkmailtransport
Mail Transport Service.

%files -n %libkmailtransport
%_kf5_libdir/libKF5MailTransport.so.%{kmailtransport_major}{,.*}

#------------------------------------------------------------------------------

%define kmailtransportakonadi_major 5
%define libkmailtransportakonadi %mklibname kf5mailtransportakonadi %{kmailtransportakonadi_major}

%package -n %libkmailtransportakonadi
Summary:        Mail Transport Service
Group:          System/Libraries
Requires:       %{name} >= %version-%release

%description -n %libkmailtransportakonadi
Mail Transport Service.

%files -n %libkmailtransportakonadi
%_kf5_libdir/libKF5MailTransportAkonadi.so.%{kmailtransportakonadi_major}{,.*}

#--------------------------------------------------------------------

%define kmailtransport_devel %mklibname kf5mailtransport -d

%package -n %kmailtransport_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkmailtransport = %version-%release
Requires:       %libkmailtransportakonadi = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kmailtransport_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kmailtransport_devel
%_kf5_includedir/MailTransport/
%_kf5_includedir/MailTransportAkonadi/
%_kf5_includedir/mailtransport/
%_kf5_includedir/mailtransportakonadi/
%_kf5_includedir/mailtransport_version.h
%_kf5_includedir/mailtransportakonadi_version.h
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5MailTransport/
%_kf5_libdir/cmake/KF5MailTransportAkonadi/
%_kf5_mkspecsdir/qt_KMailTransport.pri
%_kf5_mkspecsdir/qt_KMailTransportAkonadi.pri

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Fri Dec 11 2020 neoclust <neoclust> 20.12.0-1.mga8
+ Revision: 1655626
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 20.08.3-1.mga8
+ Revision: 1644012
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 20.08.2-1.mga8
+ Revision: 1633828
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 20.08.1-1.mga8
+ Revision: 1627070
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 20.08.0-1.mga8
+ Revision: 1614939
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 20.04.3-1.mga8
+ Revision: 1604135
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 20.04.2-1.mga8
+ Revision: 1596868
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 20.04.1-1.mga8
+ Revision: 1584519
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 20.04.0-1.mga8
+ Revision: 1568149
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 19.12.3-1.mga8
+ Revision: 1559338
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 19.12.2-2.mga8
+ Revision: 1540659
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 19.12.2-1.mga8
+ Revision: 1513308
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 19.12.0-1.mga8
+ Revision: 1466963
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 19.08.3-1.mga8
+ Revision: 1457913
- New version 19.08.3

* Fri Sep 27 2019 neoclust <neoclust> 19.08.1-1.mga8
+ Revision: 1447475
- New version 19.08.1

* Tue Jul 30 2019 neoclust <neoclust> 19.04.3-1.mga8
+ Revision: 1425920
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 19.04.0-1.mga7
+ Revision: 1390461
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 19.03.90-1.mga7
+ Revision: 1387668
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 18.12.3-2.mga7
+ Revision: 1382632
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 18.12.3-1.mga7
+ Revision: 1375627
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 18.12.2-1.mga7
+ Revision: 1365584
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 18.12.1-1.mga7
+ Revision: 1356519
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 18.12.0-1.mga7
+ Revision: 1339527
- New version 18.12.0

* Mon Nov 26 2018 daviddavid <daviddavid> 18.08.3-2.mga7
+ Revision: 1335241
- rebuild for arm

* Wed Nov 21 2018 neoclust <neoclust> 18.08.3-1.mga7
+ Revision: 1332757
- New version 18.08.3

* Mon Nov 19 2018 neoclust <neoclust> 18.08.2-1.mga7
+ Revision: 1331569
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 18.04.1-2.mga7
+ Revision: 1298583
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 18.04.1-1.mga7
+ Revision: 1229002
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 17.12.2-1.mga7
+ Revision: 1201908
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 17.12.1-1.mga7
+ Revision: 1194930
- New version 17.12.1

* Fri Jan 05 2018 neoclust <neoclust> 17.12.0-1.mga7
+ Revision: 1190263
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 17.08.0-1.mga7
+ Revision: 1143059
- New version 17.08.0

* Mon Aug 07 2017 neoclust <neoclust> 17.07.90-1.mga7
+ Revision: 1138665
- New version 17.07.90

* Tue Aug 01 2017 pterjan <pterjan> 17.04.3-2.mga7
+ Revision: 1133578
- Fix for new find_lang

* Wed Jul 26 2017 neoclust <neoclust> 17.04.3-1.mga7
+ Revision: 1130988
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090089
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076829
- New version 16.12.0

* Fri Dec 09 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1073685
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067349
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061408
- New version 16.08.2

* Fri Sep 09 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050990
- New version 16.08.1

* Fri Aug 26 2016 daviddavid <daviddavid> 16.08.0-3.mga6
+ Revision: 1049144
- kio5-smtp requires akonadi-contacts

* Tue Aug 23 2016 daviddavid <daviddavid> 16.08.0-2.mga6
+ Revision: 1047978
- rebuild to regenerate rpms
- add subpackage kio5-smtp no more provided by kdepimlibs
- add subpackage kmailtransport-handbook and conflicts kdepimlibs-handbooks
+ neoclust <neoclust>
- New version 16.08.0

* Thu Aug 18 2016 neoclust <neoclust> 16.04.3-2.mga6
+ Revision: 1046768
- Fix conflicts to ease upgrade from mga5

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040075
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1012561
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1004351
- New version 16.04.0

* Wed Mar 30 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 996462
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 991197
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987466
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922635
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 911948
- New version 15.12.0

* Sun Nov 29 2015 neoclust <neoclust> 15.11.80-3.mga6
+ Revision: 907068
- Rebuild on ARM

* Thu Nov 26 2015 neoclust <neoclust> 15.11.80-2.mga6
+ Revision: 906303
- Rebuild against new akonadi

* Mon Nov 23 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 905406
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901142
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890623
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880435
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 865953
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863698
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 861766
- New version 15.07.90

* Tue Jul 28 2015 neoclust <neoclust> 15.07.80-2.mga6
+ Revision: 858746
- Fix devel package name

* Tue Jul 28 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 858552
- imported package kmailtransport

